/*
 * $Id: ServiceParamTO.java 5576 2007-03-14 12:30:43Z Lajos $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the MuleSource MPL
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.samples.voipservice.to;

import org.mule.config.i18n.Message;

import java.io.Serializable;

/**
 * @author Binildas Christudas
 */
public class ServiceParamTO implements Serializable
{
    /**
     * Serial version
     */
    private static final long serialVersionUID = -4807303917627749519L;

    private CustomerTO customerTO;
    private CreditCardTO creditCardTO;

    public ServiceParamTO()
    {
        super();
    }

    public ServiceParamTO(CustomerTO customerTO, CreditCardTO creditCardTO)
    {
        this.customerTO = customerTO;
        this.creditCardTO = creditCardTO;
    }

    public void setCustomer(CustomerTO customerTO)
    {
        this.customerTO = customerTO;
    }

    public CustomerTO getCustomer()
    {
        return customerTO;
    }

    public void setCreditCard(CreditCardTO creditCardTO)
    {
        this.creditCardTO = creditCardTO;
    }

    public CreditCardTO getCreditCard()
    {
        return creditCardTO;
    }

    public String toString()
    {
        StringBuffer stringBuffer = new StringBuffer();
        if (this.customerTO != null)
        {
            stringBuffer.append(new Message("voip-example", 15, customerTO).getMessage());
        }
        if (this.creditCardTO != null)
        {
            stringBuffer.append(new Message("voip-example", 16, creditCardTO).getMessage());
        }

        return stringBuffer.toString();
    }

}
